CLOSEFROM(2)

NAME
closefrom - delete many descriptors

SYNOPSIS
#include <unistd.h>
int
closefrom(int fd);

DESCRIPTION
The closefrom() call deletes all descriptors numbered fd and higher from the per-process file descriptor table. It is effectively the same as calling close(2) on each descriptor.

RETURN VALUES
Upon successful completion, a value of 0 is returned. Otherwise, a value of -1 is returned and the global integer variable errno is set to indicate the error.

ERRORS
closefrom() will fail if:

[EBADF]
    fd is greater than all open file descriptors.

[EINTR]
    An interrupt was received.

SEE ALSO
close(2)